This file was generated by an older version of protoc

  c++, protocol-buffers

I am trying to run a c++ application that uses google protobuf, but I can’t get over this error:

#if 3009001 < PROTOBUF_MIN_PROTOC_VERSION
#error This file was generated by an older version of protoc which is
#error incompatible with your Protocol Buffer headers. Please
#error regenerate this file with a newer version of protoc.
#endif

and

'google/protobuf/inlined_string_field.h' file not found

I keep searching protobuf version 3.9 but I can’t find it on MacOS under brew or tar.gz.

Source: Windows Questions C++

LEAVE A COMMENT